<?php 

//ACCESO PARA ADMINISTRADOR GENERAL

use_helper('UrlFunctions'); ?>
<script>
findControl = function(){
  
  concatValueStr();
  
}
exportFindControl = function(action){
  strFormSerialize = returnQueryStringForm();
  executeFind(strFormSerialize, action);
}
executeFind = function(str,action){ 
  
  if(typeof(action) == 'undefined'){
	  url = "<?=buildUrl('cierrepedido/grid', "block=".$block)?>";
	}else{
	  switch (action){
	    case 'excel': parent.objMainTab.reqBody('<?=buildUrl('cierrepedido/excel')?>','001&'+str); break;
	    case 'pdf': parent.objMainTab.reqBody('<?=buildUrl('cierrepedido/pdf')?>','001&'+str); break;	    
	  }
	  
	  return;
	}
  
  //str = str + '&block=001';
  //url = "<?//=buildUrl('cierrepedido/grid', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
                                	"resultGrtid",
                                	url,
                                	{
                                		asynchronous:	true,
                                		method			: 'get',
                                		parameters	: str,
                                		evalScripts	: true,
                                		onLoading   : cargandoImagenSerch(),
                                		onComplete	: function(){
                                			//objMainTab.showMenu();
                                		}
                                	});
}

concatValueStr = function(){
  strFormSerialize = returnQueryStringForm();
  if(arguments[0]){
    strFormSerialize += '&'+arguments[0];
  }
  executeFind(strFormSerialize);
}

function returnQueryStringForm(){
  cadenaFormulario = $('form1').serialize();
             var posicion = new Array();
             var a_pars = new Array();
             var miArray = new Array();
             posicion=[];
             a_pars=[];
             miArray=[];
             miArray = cadenaFormulario.split('&');
             x=0;
             for (i = 0; i < miArray.length; i++){
            	   posicion[i] = miArray[i].indexOf('=');
            	   if(typeof(miArray[i-1])!='undefined'){
            				if(miArray[i].substring(posicion[i],0)== miArray[i-1].substring(posicion[i-1],0) ){
           					 porcion = miArray[i].substring((1+posicion[i]));
           					 a_pars[x-1]+='@'+porcion;
           				}else{
          					 a_pars[x]= miArray[i];
         					 x++;
          				}
          		}else{
          			 a_pars[x]= miArray[i];
          			  x++;
          		}
           }
  cadenaFormulario = a_pars.join('&');
  cadenaFormulario += '&id_form=frmFindFedu';
  return(cadenaFormulario);
}
showTesis= function(id){
  parent.objMainTab.modalDialog('<?=buildUrl('cierrepedido/show',"block=001")?>/id/'+id,{title:'Detalle Tesis',width:800,height:450});
}
function cargandoImagenSerch(){
	//disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
}

</script>
<script>
findControl = function(){
  
  var pars = $('form1').serialize();
  
	disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
  
	url = "<?=buildUrl('cierrepedido/grid', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
	"resultGrtid",
	url,
	{
		asynchronous:	true,
		method			: 'get',
		parameters	: pars,
		evalScripts	: true,
		onLoading		: function(){
			//$('contentMenu').innerHTML = $('messageLoadMenu').innerHTML;
		},
		onComplete	: function(){
			//objMainTab.showMenu();
		}
	});
  
}

deleteRegistro = function(id,codigo){
  //buildUrl('doc/delecierrepedido/id/'block=001'
  if(confirm("¿Esta seguro de abrir la ficha de la tesis de posicion " + codigo+ "?")){
      //objMainTab.reqBody('<? //=buildUrl('doc/add')?>','block=001&delete=1&id='+id);   
      parent.objMainTab.reqBody('<?=buildUrl('cierrepedido/delete')?>','001&delete=1&cod=jj&id='+id);
  }
}

actualizarRepresentantes = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=actualizarRepresentantes&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php
$o_sucursalBL = new SucursalBL();
$a_o_sucursales = $o_sucursalBL->busquedaSucursal(new SucursalBean());
?>
<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" style="background:#E3E9E2" width="99%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">
      <form name="form1" id="form1" method="POST">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody"><li>&nbsp;&nbsp;Apertura de pedidos</li></td>
          <td align="right" valign="baseline">
            <!--<input type="button" class="button" value="Nuevo Cierre" src="/images/common/buttons/btnAdd.gif" onClick="parent.objMainTab.modalDialog('<?=buildUrl('cierrepedido/add')?>','block=001')" style="cursor:pointer">-->
            
          </td>
        </tr>
      </table>
      <table class="marco" width="100%">
        <tr>
          <td align="center" valign="top">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="60%" valign="top">
                  <table class="SubCabecera" width="100%" border="0" cellpadding="0" cellspacing="0">
                     <tr>
                      <td width="15%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Sucursal</label></td>
                      <td nowrap="nowrap"> 
                      	   <select name="cboSucursal" id="cboSucursal" type="text" class="combo" onchange="actualizarRepresentantes('cboRepresentante',this)"/> 
                      	    <option value="0" > -Seleccione - </option>
						   <?php foreach ($a_o_sucursales as $iKey => $o_sucursales){ ?>
	                        <option value="<?=$o_sucursales->getIdSucursal()?>">
	                          <?=$o_sucursales->getDescripcion()?>
	                        </option>
	                        <?php } ?> 
						  </select>
                      
                      </td>
                      <!--|<td width="15%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Representante</label></td>
                      <td  nowrap="nowrap"> <select name="cboRepresentante" id="cboRepresentante" type="text" class="combo"/> 
						   	<option value="" > -Seleccione - </option>
						  </select>
                      
                      </td>-->
                    </tr>
                     <tr>
                      <td width="8%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">F.&nbsp;Inicial</label></td>
                      <td nowrap="nowrap"><input class="text" type="text" name="txtFechaInicial" id="txtFechaInicial" size="7" readonly value="<?=$fecha?>"/>&nbsp;<button type="button" onclick="return false" id="btnFechaInicial">...</button></td>
                      <script type="text/javascript">
                            document.getElementById("txtFechaInicial").disabled = false;
                            Calendar.setup({
                              inputField : "txtFechaInicial",
                              ifFormat : "%Y-%m-%d",
                              daFormat : "%Y-%m-%d",
                              button   : "btnFechaInicial"
                            });
                        </script>
                      <td width="8%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">F.&nbsp;Final</label></td>
                      <td nowrap="nowrap"><input class="text" type="text" name="txtFechaFinal" id="txtFechaFinal" size="7" readonly value="<?=$fecha?>"/>&nbsp;<button type="button" onclick="return false" id="btnFechaFinal">...</button>
                      <script type="text/javascript">
                            document.getElementById("txtFechaFinal").disabled = false;
                            Calendar.setup({
                              inputField : "txtFechaFinal",
                              ifFormat : "%Y-%m-%d",
                              daFormat : "%Y-%m-%d",
                              button   : "btnFechaFinal"
                            });
                        </script>
                      </td>
                      <td width="8%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Estado</label></td>
                      <td nowrap="nowrap">
                      	<select name="cboEstado" class="combo">
                      		<option value="">- Seleccione -</option> 
                      		<option value="A">Abierto</option> 
                      		<option value="C">Cerrado</option> 
                      	</select>
                      </td>
                    </tr>
                  </table>
                </td>
               
              </tr>
			  <tr>
			    <td align="center" style="vertical-align:top"><input class="button" type="button" value="Buscar" onclick="findControl();"/></td>
			  </tr>
            </table>
           
          </td>
        </tr>
      </table>
       
      </form>
      <div id="resultGrtid">
      </div>
    </td>
  </tr>
</table>

<?php
if(isset($insert)){
  ?>
  <script>
    elementLoad.show(undefined,"Se inserto la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('txtivnid').value = "<?=$cod?>";
    findControl();
  </script>
  <?php
}
if(isset($update)){
  ?>
  <script>
    elementLoad.show(undefined,"Se actualizo la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('txtivnid').value = "<?=$cod?>";
    findControl();
  </script>
  <?php
}
if(isset($delete)){
  ?>
  <script>
    elementLoad.show(undefined,"Se elimino la ficha satisfactoriamente."); 
    findControl();
  </script>
  <?php 
  
}
?>